.\" inoclam - Inotify+ClamAV virus scanner
.\" Copyright (C) 2007, 2008, 2009 Vermont Department of Taxes
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License version 2 as
.\" published by the Free Software Foundation.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
.TH INOCLAM.CONF 5 "v1.4.0 (Amy)" "April 16, 2009"

.SH NAME
inoclam.conf \- the \fBinoclam\fP configuration file.

.SH DESCRIPTION
The \fI/etc/inoclam.conf\fR file specifies runtime settings for
\fBinoclam\fP. The configuration file can contain one or more
\fBwatch\fP sections. Within each \fBwatch\fP section, there is
a \fBdirectory\fP option, a \fBfile\fP section, a \fBvirus\fP
section and an \fBsmtp\fP section. The \fBdirectory\fP option
instructs \fBinoclam\fP to watch the specified directory. The
\fBfile\fP section contains options that apply every time a file is saved 
to or moved into the path of \fBdirectory\fP. The \fBvirus\fP section can 
direct \fBinoclam\fP to remove a detected virus immediately and/or send an 
e-mail when a virus is detected in the \fBdirectory\fP path. The 
\fBsmtp\fP section simply provides a place to specify some e-mail 
configuration settings.

.SH EXAMPLE

watch {
.br
	directory = "/home/ftp"
.br
	file {
.br
		email_alert = false
.br
		email_subject = "[inoclam] File Create/Change"
.br
	}
.br
	virus {
.br
		auto_remove = true
.br
		email_alert = true
.br
		email_subject = "[inoclam] Virus Detected"
.br
	}
.br
	smtp {
.br
		host = "localhost"
.br
		port = 25
.br
		from = "root@localhost"
.br
		to  = {
.br
			"root@localhost",
.br
			"admin@localhost"
.br
		}
.br
	}
.br
}
.br
watch {
.br
	directory = "/etc"
.br
	file {
.br
		email_alert = true
.br
		email_subject = "[inoclam] Config file added/changed"
.br
	}
.br
	virus {
.br
		auto_remove = false
.br
		email_alert = false
.br
	}
.br
	smtp {
.br
		host = "mail.example.net"
.br
		port = 25
.br
		from = "root@example.net"
.br
		to  = {"root@example.org"}
.br
	}
.br
}

.SH BUGS
Please send any comments or bug reports to \fBinoclam-discuss\fP
mailing list. To subscribe, visit the mailman web interface at
https://lists.sourceforge.net/lists/listinfo/inoclam-discuss

.SH HOMEPAGE
http://www.inoclam.org/

.SH AUTHORS
Tom Cort <tom.cort@state.vt.us>
.br
Matt Gagne <matt.gagne@state.vt.us>

.SH COPYRIGHT
Copyright \(co 2007, 2008, 2009 Vermont Department of Taxes

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2 as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

.SH "SEE ALSO"
.PP
\fBinoclam\fR(8)
